Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419142 - pg_temp_15.vacuum_l Tables in inventory and marked as down
Summary: pg_temp_15.vacuum_l Tables in inventory and marked as down
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin - Postgres
Version: JON 3.3.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: DR01
: JON 3.3.9
Assignee: Michael Burman
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 17:01 UTC by Filip Brychta
Modified: 2017-10-02 17:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-02 17:21:51 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:2846 0 normal SHIPPED_LIVE Red Hat JBoss Operations Network 3.3.9 bug fix update 2017-10-02 21:21:28 UTC

Description Filip Brychta 2017-02-03 17:01:17 UTC
Description of problem:
pg_temp_15.vacuum_l Table probably created during new postgres plugin operation 'Remove orphan large objects' introduced in bz 1381720 are discovered and shown in inventory. But they are later removed so they are marked in inventory as down and agent.log contains warnings:
2017-02-03 11:52:24,377 WARN  [InventoryManager.availability-1] (rhq.core.pc.inventory.AvailabilityExecutor)- Availability collection failed with exception on Resource[id=12533, uuid=f1a4ff47-2e80-4c47-a4bd-7bf1ddb3a209, type={Postgres}Table, key=pg_temp_22.vacuum_l, name=pg_temp_22.vacuum_l, parent=rhq], availability will be reported as DOWN, reason=Failed to start component for Resource[id=12533, uuid=f1a4ff47-2e80-4c47-a4bd-7bf1ddb3a209, type={Postgres}Table, key=pg_temp_22.vacuum_l, name=pg_temp_22.vacuum_l, parent=rhq] - table does not exist


Version-Release number of selected component (if applicable):
JON3.3.8.ER02

Comment 1 Michael Burman 2017-04-04 12:05:18 UTC
This is because Postgres discovers temporary tables as normal tables.

Comment 2 Michael Burman 2017-04-04 12:19:45 UTC
Fixed in the master:

commit 129ca1caf7ff084f115f4c00244e8fede267ca50
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Apr 4 15:18:02 2017 +0300

    [BZ 1419142] Do not discover tables in the pg_temp* namespace

Comment 4 Simeon Pinder 2017-09-01 15:34:20 UTC
Moving to ON_QA as available for test with the following binary:
http://download.eng.bos.redhat.com/brewroot/packages/org.jboss.on-jboss-on-parent/3.3.0.GA/133/maven/org/jboss/on/jon-server-patch/3.3.0.GA/jon-server-patch-3.3.0.GA.zip

*NOTE Build represents JON 3.3.9 DR01 build.

Please report issues as you encounter them.

Comment 6 errata-xmlrpc 2017-10-02 17:21:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2846


Note You need to log in before you can comment on or make changes to this bug.